Bug 185730 - [MAINTAINER] STAGEify x11-wm/ctwm
Summary: [MAINTAINER] STAGEify x11-wm/ctwm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-13 06:10 UTC by fullermd
Modified: 2014-01-20 08:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.28 KB, patch)
2014-01-13 06:10 UTC, fullermd
no flags Details | Diff
file.diff (315 bytes, patch)
2014-01-13 06:10 UTC, fullermd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fullermd 2014-01-13 06:10:00 UTC

Fix: Property changes on: files/patch-Imakefile
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Comment 1 fullermd 2014-01-15 10:59:18 UTC
Whoops, slightly wrong patch, plus gnats seems a little confused by
the extra svn spewage in the diff.  Cleaned up:

Index: Makefile
===================================================================
--- Makefile	(revision 339625)
+++ Makefile	(working copy)
@@ -16,9 +16,7 @@
 
 USES=		imake
 USE_XORG=	xpm xmu
-MAN1=		ctwm.1
 
-NO_STAGE=	yes
 pre-configure:
 	${CP} ${WRKSRC}/Imakefile.local-template ${WRKSRC}/Imakefile.local
 	${CAT} ${FILESDIR}/Imakefile.local-additional >> ${WRKSRC}/Imakefile.local
Index: files/patch-Imakefile
===================================================================
--- files/patch-Imakefile	(revision 0)
+++ files/patch-Imakefile	(working copy)
@@ -0,0 +1,13 @@
+--- Imakefile.orig	2014-01-12 23:55:22.734333835 -0600
++++ Imakefile	2014-01-12 23:55:29.061331935 -0600
+@@ -167,8 +167,8 @@
+ 		3dcircle.xpm 3ddimple.xpm 3ddot.xpm 3dfeet.xpm 3dleopard.xpm \
+ 		3dpie.xpm 3dpyramid.xpm 3dslant.xpm
+ 
+-SpecialObjectRule(parse.o,parse.c,'-DSYSTEM_INIT_FILE="$(DESTDIR)$(CONFDIR)/system.ctwmrc"' '-DPIXMAP_DIRECTORY="$(DESTDIR)$(PIXMAPDIR)"')
+-SpecialObjectRule(ctwm.o,ctwm.c,'-DPIXMAP_DIRECTORY="$(DESTDIR)$(PIXMAPDIR)"')
++SpecialObjectRule(parse.o,parse.c,'-DSYSTEM_INIT_FILE="$(CONFDIR)/system.ctwmrc"' '-DPIXMAP_DIRECTORY="$(PIXMAPDIR)"')
++SpecialObjectRule(ctwm.o,ctwm.c,'-DPIXMAP_DIRECTORY="$(PIXMAPDIR)"')
+ #if !HasPutenv
+ SpecialObjectRule(util.o,util.c,-DNOPUTENV)
+ #endif
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 339625)
+++ pkg-plist	(working copy)
@@ -90,5 +90,6 @@
 lib/X11/twm/images/xrn.xpm
 lib/X11/twm/images/xterm.xpm
 lib/X11/twm/system.ctwmrc
+man/man1/ctwm.1.gz
 @dirrm lib/X11/twm/images
 @dirrmtry lib/X11/twm
Comment 2 dfilter service freebsd_committer 2014-01-20 08:01:13 UTC
Author: bapt
Date: Mon Jan 20 08:01:05 2014
New Revision: 340372
URL: http://svnweb.freebsd.org/changeset/ports/340372
QAT: https://qat.redports.org/buildarchive/r340372/

Log:
  Support stage
  
  PR:		ports/185730
  Submitted by:	Matthew D.Fuller <fullermd@over-yonder.net> (maintainer)

Added:
  head/x11-wm/ctwm/files/patch-Imakefile   (contents, props changed)
Modified:
  head/x11-wm/ctwm/Makefile
  head/x11-wm/ctwm/pkg-plist

Modified: head/x11-wm/ctwm/Makefile
==============================================================================
--- head/x11-wm/ctwm/Makefile	Mon Jan 20 07:54:54 2014	(r340371)
+++ head/x11-wm/ctwm/Makefile	Mon Jan 20 08:01:05 2014	(r340372)
@@ -12,13 +12,11 @@ MASTER_SITES=	http://ctwm.free.lp.se/dis
 MAINTAINER=	fullermd@over-yonder.net
 COMMENT=	Extension to twm, with support for multiple virtual screens, etc
 
-LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg
+LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg
 
 USES=		imake
 USE_XORG=	xpm xmu
-MAN1=		ctwm.1
 
-NO_STAGE=	yes
 pre-configure:
 	${CP} ${WRKSRC}/Imakefile.local-template ${WRKSRC}/Imakefile.local
 	${CAT} ${FILESDIR}/Imakefile.local-additional >> ${WRKSRC}/Imakefile.local

Added: head/x11-wm/ctwm/files/patch-Imakefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/ctwm/files/patch-Imakefile	Mon Jan 20 08:01:05 2014	(r340372)
@@ -0,0 +1,13 @@
+--- ./Imakefile.orig	2014-01-20 08:59:13.000000000 +0100
++++ ./Imakefile	2014-01-20 08:59:40.000000000 +0100
+@@ -167,8 +167,8 @@
+ 		3dcircle.xpm 3ddimple.xpm 3ddot.xpm 3dfeet.xpm 3dleopard.xpm \
+ 		3dpie.xpm 3dpyramid.xpm 3dslant.xpm
+ 
+-SpecialObjectRule(parse.o,parse.c,'-DSYSTEM_INIT_FILE="$(DESTDIR)$(CONFDIR)/system.ctwmrc"' '-DPIXMAP_DIRECTORY="$(DESTDIR)$(PIXMAPDIR)"')
+-SpecialObjectRule(ctwm.o,ctwm.c,'-DPIXMAP_DIRECTORY="$(DESTDIR)$(PIXMAPDIR)"')
++SpecialObjectRule(parse.o,parse.c,'-DSYSTEM_INIT_FILE="$(CONFDIR)/system.ctwmrc"' '-DPIXMAP_DIRECTORY="$(PIXMAPDIR)"')
++SpecialObjectRule(ctwm.o,ctwm.c,'-DPIXMAP_DIRECTORY="$(PIXMAPDIR)"')
+ #if !HasPutenv
+ SpecialObjectRule(util.o,util.c,-DNOPUTENV)
+ #endif

Modified: head/x11-wm/ctwm/pkg-plist
==============================================================================
--- head/x11-wm/ctwm/pkg-plist	Mon Jan 20 07:54:54 2014	(r340371)
+++ head/x11-wm/ctwm/pkg-plist	Mon Jan 20 08:01:05 2014	(r340372)
@@ -90,5 +90,6 @@ lib/X11/twm/images/xrn.nonews.xpm
 lib/X11/twm/images/xrn.xpm
 lib/X11/twm/images/xterm.xpm
 lib/X11/twm/system.ctwmrc
+man/man1/ctwm.1.gz
 @dirrm lib/X11/twm/images
 @dirrmtry lib/X11/twm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Baptiste Daroussin freebsd_committer 2014-01-20 08:01:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!